const prefix = `${HOST}/api/wx`

const $api = {
  uploadImage: { // 上传图片
    method: 'post',
    url: `${prefix}/image`
  },
  getMessageList: { // 获取小区通知
    method: 'get',
    url: `${prefix}/message/:orgId/news`
  },
  getRenZhengDetail: { // 获取认证详情
    method: 'get',
    url: `${prefix}/user/verify/:id`
  },
  userSign: { // 用户签到
    method: 'post',
    url: `${prefix}/user/signin`
  },
  getOwnerVerifyList: { // 获取业主认证列表
    method: 'get',
    url: `${prefix}/user/verify/list`
  },
  addOwnerVerify: { // 添加业主认证
    method: 'post',
    url: `${prefix}/user/verify/add`
  },
  checkOwnerVerify: { // 校验业主是否认证某房产
    method: 'get',
    url: `${prefix}/building/has`
  },
  checkPhoneCode: { // 校验手机验证码
    method: 'post',
    url: `${prefix}/check/captcha`
  },
  getPhoneCode: { // 获取手机验证码
    method: 'post',
    url: `${prefix}/captcha`
  },
  getRenZhengAddressList: { // 获取认证业主房产选择联动列表
    method: 'get',
    url: `${prefix}/building/select/address`
  },
  getJiaoFeiList: { // 获取缴费列表
    method: 'get',
    url: `${prefix}/bills/current_user/:type`
  },
  getGongDanList: { // 获取小区工单列表
    method: 'get',
    url: `${prefix}/tickets/list/:orgId`
  },
  editGongDan: { // 修改工单
    method: 'post',
    url: `${prefix}/updateTicket/:id`
  },
  AddGongDan: { // 添加工单
    method: 'post',
    url: `${prefix}/addtpTicket`
  },
  getGongDanDetail: { // 获取工单详情
    method: 'get',
    url: `${prefix}/ticket/schedule/:orgId`
  },
  getWuYePhone: { // 获取物业电话
    method: 'get',
    url: `${prefix}/tels`
  },
  getGongGaoList: { // 获取小区公告列表
    method: 'get',
    url: `${prefix}/announcements/:orgId`
  },
  getGongGaoDetail: { // 获取小区公告详情
    method: 'get',
    url: `${prefix}/announcement/:orgId`
  },
  getUserPhone: { // 获取用户手机号
    method: 'post',
    url: `${prefix}/userPhone`
  },
  getActivityList: { // 获取活动列表
    method: 'get',
    url: `${prefix}/buildingDynamiceList`
  },
  checkActivityJoin: { // 查询活动参加详情
    method: 'get',
    url: `${prefix}/buildingDynamiceEnlistInfo/:id`
  },
  getActivityDetail: { // 获取活动详情
    method: 'get',
    url: `${prefix}/buildingDynamiceInfo/:id`
  },
  JoinActivity: { // 参加活动
    method: 'post',
    url: `${prefix}/activityDynamicEnlistAdd`
  },
  getJiFenRule: { // 获取积分规则
    method: 'get',
    url: `${prefix}/tdPointsRules`
  },
  getGoodsList: { // 获取商品列表
    method: 'get',
    url: `${prefix}/goods`
  },
  getGoodsDetail: { // 获取商品详情
    method: 'get',
    url: `${prefix}/goods/:id`
  },
  exchangeGoods: { // 兑换商品
    method: 'post',
    url: `${prefix}/goods/exchange/:id`
  },
  getNewsList: { // 获取资讯列表
    method: 'get',
    url: `${prefix}/taNews`
  },
  getNewsDetail: { // 获取资讯详情
    method: 'get',
    url: `${prefix}/taNews/:id`
  },
  addNewsViews: { // 资讯阅读量+1
    method: 'put',
    url: `${prefix}/taNews/pvNum/:id`
  },
  getBanner: { // 获取轮播图
    method: 'get',
    url: `${prefix}/extendContent/banner`
  },
  login: { // 登录
    method: 'post',
    url: `${prefix}/login`
  },
  saveShareFrom: {
    method: 'post',
    url: `${prefix}/share-person`
  },
  saveTracking: { // 埋点
    method: 'post',
    url: `${prefix}/taPersonVisitRecord`
  },
  updateTracking: { // 更新埋点
    method: 'put',
    url: `${prefix}/taPersonVisitRecord/:id`
  },
  setShare: { // 分享
    method: 'put',
    url: `${prefix}/:type/share/:id`
  },

  // 授权头像等基本信息
  userAutInfo: {
    method: 'post',
    url: `${prefix}/signup`
  },

}


export default $api